OOUI\CheckboxInputWidget Class Reference

Checkbox input widget. More...

Inheritance diagram for OOUI\CheckboxInputWidget:
[legend]
Collaboration diagram for OOUI\CheckboxInputWidget:
[legend]

## Public Member Functions

| __construct (array $config=array())
| setSelected ($state)
| Set selection state of this checkbox. More...
| isSelected ()
| Check if this checkbox is selected. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\InputWidget
| __construct (array $config=array())
| getValue ()
| Get the value of the input. More...
| setRTL ($isRTL)
| Set the directionality of the input, either RTL (right-to-left) or LTR (left-to-right). More...
| setDir ($dir)
| Set the directionality of the input. More...
| setValue ($value)
| Set the value of the input. More...
| setDisabled ($state)
| getConfig (&$config)
Public Member Functions inherited from OOUI\Widget
| __construct (array $config=array())
| isDisabled ()
| Check if the widget is disabled. More...
| setDisabled ($disabled)
| Set the disabled state of the widget. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\Element
| __construct (array $config=array())
| __call ($method, $arguments)
| Call a mixed-in method. More...
| __get ($name)
| Get a mixed-in target property. More...
| __isset ($name)
| Check for existence of a mixed-in target property. More...
| getTagName ()
| Get the HTML tag name. More...
| getData ()
| Get element data. More...
| setData ($data)
| Set element data. More...
| supports ($methods)
| Check if element supports one or more methods. More...
| mixin (ElementMixin $mixin)
| Mixin a class. More...
| getConfig (&$config)
| Add the necessary properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...
| toString ()
| Render element into HTML. More...
Public Member Functions inherited from OOUI\Tag
| __construct ($tag= 'div')
| Create element. More...
| hasClass ($class)
| Check for CSS class. More...
| addClasses (array $classes)
| Add CSS classes. More...
| removeClasses (array $classes)
| Remove CSS classes. More...
| toggleClasses (array $classes, $toggle=null)
| Toggle CSS classes. More...
| getAttribute ($key)
| Get HTML attribute value. More...
| setAttributes (array $attributes)
| Add HTML attributes. More...
| setValue ($value)
| Set value of input element ('value' attribute for most, element content for textarea). More...
| removeAttributes (array $keys)
| Remove HTML attributes. More...
| appendContent ()
| Add content to the end. More...
| prependContent ()
| Add content to the beginning. More...
| clearContent ()
| Remove all content. More...
| getElementGroup ()
| Get group element is in. More...
| setElementGroup ($group)
| Set group element is in. More...
| setInfusable ($infusable)
| Enable widget for client-side infusion. More...
| isInfusable ()
| Get client-side infusability. More...
| ensureInfusableId ()
| Ensure that this given Tag is infusable and has a unique `id` attribute. More...
| toString ()
| Render element into HTML. More...
| __toString ()
| Magic method implementation. More...

## Protected Member Functions

| getInputElement ($config)
Protected Member Functions inherited from OOUI\InputWidget
| getInputElement ($config)
| Get input element. More...
| cleanUpValue ($value)
| Clean up incoming value. More...
Protected Member Functions inherited from OOUI\Element
| getJavaScriptClassName ()
| The class name of the JavaScript version of this widget. More...
| getGeneratedAttributes ()
Protected Member Functions inherited from OOUI\Tag
| getGeneratedAttributes ()
| Return an augmented `attributes` array, including synthetic attributes which are created from other properties (like the `classes` array) but which shouldn't be retained in the user-visible `attributes`. More...

## Protected Attributes

boolean | $selected
| Whether the checkbox is selected.
Protected Attributes inherited from OOUI\InputWidget
Tag | $input
| Input element.
string | $value = ''
| Input value.
Protected Attributes inherited from OOUI\Widget
boolean | $disabled = false
| Disabled. More...
Protected Attributes inherited from OOUI\Element
mixed | $data = null
| Element data.
array | $ownClasses = array()
| Strings of the CSS classes explicitly configured for this element (as opposed to $classes, which contains all classes for this element).
array | $mixins = array()
| ElementMixins. More...
Protected Attributes inherited from OOUI\Tag
string | $tag = ''
| Tag name for this instance. More...
array | $attributes = array()
| Attributes. More...
array | $classes = array()
| Classes. More...
array | $content = array()
| Content. More...
GroupElement null | $elementGroup = null
| Group. More...
boolean | $infusable = false
| Infusion support. More...

## Additional Inherited Members

Static Public Member Functions inherited from OOUI\Element
static | getDir (Tag $element)
| Get the direction of the user interface for a given element. More...
static | setDefaultDir ($dir)
| Set the default direction of the user interface. More...
Static Public Attributes inherited from OOUI\InputWidget
static | $supportsSimpleLabel = true
Static Public Attributes inherited from OOUI\Widget
static boolean | $supportsSimpleLabel = false
| Whether this widget will behave reasonably when wrapped in a HTML `<label>`. More...
Static Public Attributes inherited from OOUI\Element
static string | $tagName = 'div'
| HTML tag name. More...
static string | $defaultDir = 'ltr'
| Default text direction, used for some layout calculations. More...

## Detailed Description

Checkbox input widget.

## Constructor & Destructor Documentation

OOUI\CheckboxInputWidget::__construct | ( | array | $config = `array()` | ) |

Parameters

  array | $config | Configuration options
  boolean | $config,['selected'] | Whether the checkbox is initially selected (default: false)

## Member Function Documentation

OOUI\CheckboxInputWidget::isSelected | ( |  | ) |

Check if this checkbox is selected.

Returns
  boolean Checkbox is selected

OOUI\CheckboxInputWidget::setSelected | ( |  | $state | ) |

Set selection state of this checkbox.

Parameters

  boolean | $state | Whether the checkbox is selected

Returns
  $this

The documentation for this class was generated from the following file:

- php/widgets/CheckboxInputWidget.php